Bug 1461815 - Gnome core dumps on startup with llvmpipe crash due to llvm failing to clear high 16bits of correct register [RHEL-Alt-7.4]
Summary: Gnome core dumps on startup with llvmpipe crash due to llvm failing to clear ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mesa-private-llvm
Version: 7.4-Alt
Hardware: aarch64
OS: Unspecified
high
high
Target Milestone: rc
: 7.4-Alt
Assignee: Tom Stellard
QA Contact: Jeff Bastian
URL:
Whiteboard:
Depends On:
Blocks: 1357680 1381083
TreeView+ depends on / blocked
 
Reported: 2017-06-15 11:44 UTC by Laszlo Ersek
Modified: 2017-11-09 11:22 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1429050
Environment:
Last Closed: 2017-11-09 11:22:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch for rhel-alt-7.4, once branch is created (18.29 KB, patch)
2017-06-20 00:11 UTC, Yaakov Selkowitz
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1461818 None CLOSED Gnome core dumps on startup with llvmpipe crash due to llvm failing to clear high 16bits of correct register [RHEL-7.5] 2019-10-08 18:48:20 UTC
Red Hat Product Errata RHEA-2017:3171 normal SHIPPED_LIVE mesa-private-llvm enhancement update 2017-11-09 16:11:59 UTC

Internal Links: 1461818

Description Laszlo Ersek 2017-06-15 11:44:32 UTC
+++ This bug was initially created as a clone of Bug #1429050 +++

The exact same issue as described in bug 1429050 happens in RHEL-7.4 as well, using package "mesa-private-llvm-3.9.1-3.el7.aarch64".

Jeremy's patch in bug 1429050 comment 4 (direct link: attachment 1261680 [details]) applies to the above-mentioned RHEL-7.4 package (i.e., dist-git commit 6ec0b20b46c9) without conflicts, and works fine:

http://people.redhat.com/lersek/a95d492b-9f7a-4ba5-a6a4-a030f66bcae8-pegas10-aarch64-gnome.png

Please branch the "mesa-private-llvm" package for Pegas-1.0, and incorporate the patch.

Comment 2 Igor Gnatenko 2017-06-15 12:20:48 UTC
Please, can you create new bugs instead of cloning them? Me (and probably all others who were CCed on original bug) don't want to see RHEL-related bugs.

Comment 5 Yaakov Selkowitz 2017-06-20 00:11:05 UTC
Created attachment 1289344 [details]
Patch for rhel-alt-7.4, once branch is created

Scratch build: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=13474398

Comment 51 errata-xmlrpc 2017-11-09 11:22:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3171


Note You need to log in before you can comment on or make changes to this bug.